#include <iostream>
#include <cstdlib>
#include <vector>
#include <algorithm>
using namespace std;

int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);
    
    string s;
    string t;
	cin>>t;
	cin>>s;
	
	string c;
	c=s;
	
	
    int i = s.length() , j = t.length();
    vector <pair<int,int> > v(i);

    i-- , j--;
    int k=s.size()-1;
  
    while( j >= 0)
    {
    
        if(s[i] == t[j])
        {
      		v[k].first++;
  			v[k].second=j;
		 		i-- ;
	 	 		j--;
	 	 		
		}
        else
        {
            j--;
            
		}
  	
		if(c[k]==t[j])
  		{
  			v[k].first++;
  			v[k].second=j;
  		
		}
		if(k>0)
		{
			if(c[k-1]==t[j]) k--;
	
		}
  
        
    }

    if(i>=0) cout<<0;
    else{
   	sort(v.begin(), v.end());
    
	int a = v[0].first;

	cout<<a<<endl;;
	for(int i=0;i<t.length();i++)
	{
		if(t[i]==t[v[0].second])
		{
			cout<<"*";
		}
		else
		{
			cout<<t[i];
		}
	}
}
	
	return 0;
}